<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
  <div class="container-fluid">
    <a class="navbar-brand" routerLink="/">
      <img src="/assets/img/hop_white.png" alt="logo" width="32" height="32" class="me-2">
      <span>My Little Brewery</span>
    </a>
    <!-- <ul class="navbar-nav me-auto mb-lg-0">
      <li class="nav-item">
        <a class="nav-link" routerLink="/home">Stock</a>
      </li>
    </ul> -->
    <div ngbDropdown  (openChange)="dropdownChange($event)" class="d-inline-block" display="dynamic" autoClose="outside">
      <button type="button" class="btn" id="dropdownUser" ngbDropdownToggle>
        <div class="d-inline-block">
          <img class="d-block position-relative" src="/assets/img/user.png" alt="user" width="32" height="32">
          <span class="position-absolute top-0 end-0" style="font-size: 10px;">{{authState.user?.name}}</span>
        </div>
      </button>
      <div ngbDropdownMenu>
        <div *ngIf="!authState.user" class="userForm">
          <app-login></app-login>
        </div>
        <div *ngIf="authState.user && !showChangePwd">
          <span id="changePassword" (click)="showChangePwd=true;" ngbDropdownItem>Modifier mot de passe</span>
          <div class="dropdown-divider"></div>
          <button (click)="logout()" ngbDropdownItem>Déconnexion</button>
        </div>
        <div *ngIf="authState.user && showChangePwd" class="userForm">
          <app-change-pwd></app-change-pwd>
        </div>
      </div>
    </div>
  </div>
</nav>